Systemanforderungen phpBB?

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.2 und höher und die Konvertierung zu phpBB 3.3.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.3] oder [3.2] angeben
Antworten
Squirrelfan
Mitglied
Beiträge: 1
Registriert: 15.10.2019 15:18

Systemanforderungen phpBB?

Beitrag von Squirrelfan »

Hallo,

ich überlege, einen Server mit phpBB und Mediawiki zu betreiben.

Meine Fragen:
Welche Anforderungen stellt phpBB an die Hardware? Würde der günstigste verfügbare Kimsufi (KS-1 mit Intel Atom D425 und 1.8GHz oder der KS-3 mit Intel Atom N2800 und 1.86GHz) dafür ausreichen?
Welches zu installierende System würdet ihr bevorzugen(Archlinux oder Debian...)?

Vielen Dank im voraus

Peter
Benutzeravatar
canonknipser
Supporter
Supporter
Beiträge: 2053
Registriert: 10.09.2011 11:14
Kontaktdaten:

Re: Systemanforderungen phpBB?

Beitrag von canonknipser »

Hardwareanforderungen hat phpBB grundsätzlich keine speziellen.
Lediglich die Basissoftware muss passen: phpBB benötigt einen Webserver mit einer unterstützten SQL-Datenbank, eine passende PHP-Version (5.6 bis 7.2) mit ein paar (standardmäßig in der Regel aktiven) Erweiterungen wie GD-Unterstützung, XML-Unterstützung.

Welche Hardware du brauchst, hängt dann von deiner "Last" (Anzahl Posts, Anzahl User, Seitenabrufe, Dateianhänge usw.) ab.
Es gibt Installationen, die laufen auf einem Rasperry in einem Heimnetz und sind per DynDNS erreichbar, für einige Bords reicht ein free Hoster, die meisten kommen mit einem Shared Server bei einem Hoster aus, größere nutzen einen virtuellen Server, die ganz großen einen eigenen Cluster ...
Die Hardware kann auch im Laufe der Zeit wachsen.
Grüße, canonknipser
"there are only 10 types of people: those, who understand binary and those, who don't"
just arrived ;) - Bilder
Kein Support via PN, nur im Board und (manchmal) im IRC
Antworten

Zurück zu „Support-Forum“